dotlock(1)

NUME
mutt_dotlock - blochează fișierele din triajul corespondenței electronice

SINOPSIS

mutt_dotlock [-t|-f|-u|-d] [-p] [-r reîncercări] fișier

DESCRIERE

mutt_dotlock implementează metoda tradițională de blocare a fișierelor de triere de poștă electronică: pentru a bloca fișier, se creează un fișier numit fișier.lock. Programul funcționează cu privilegii de grup de poștă electronică, dacă este necesar.

OPȚIUNI

-t  Încearcă doar. mutt_dotlock nu va bloca efectiv un fișier, ci va informa procesul care îl invocă dacă este posibil să blocheze fișier.

-f  Forțează blocarea. Dacă un alt proces deține un blocaj pe fișier mai mult de o anumită perioadă de timp, mutt_dotlock va sparge acel blocaj prin eliminarea fișierului de blocare.

-u  Deblochează. mutt_dotlock va elimina fișier.lock.

-d  Șterge. mutt_dotlock va bloca fișier, îl va elimina dacă are lungimea 0, iar apoi va elimina fișier.lock.

-p  Utilizează privilegii. Dacă se dă această opțiune, mutt_dotlock va opera cu privilegii de grup de poștă electronică atunci când creează și șterge fișiere de blocare.

-r reîncercări
    Această opțiune de linie de comandă îi spune lui mutt_dotlock să încerce să blocheze de reîncercări ori înainte de a renunța sau (dacă este invocată cu opțiunea de linie de comandă -f) să întrerupă un blocaj. Valoarea implicită este 5. mutt_dotlock așteaptă o secundă între încercările succesive de blocare.

FIȘIERE

fișier.lock
    Fișierul de blocare pe care mutt_dotlock îl generează.

CONSULTAȚI ȘI

fcntl(2), flock(2), lockfile(1), mutt(1)

DIAGNOSTICARE

mutt_dotlock oferă toate diagnosticele în valorile sale de returnare:

0 - DL_EX_OK
    Programul a fost executat cu succes.

1 - DL_EX_ERROR
    S-a produs o eroare nespecificată, cum ar fi parametrii necorespunzători ai liniei de comandă, lipsa de memorie de sistem și altele asemenea.

3 - DL_EX_EXIST
    Utilizatorul dorește să blocheze un fișier care a fost deja blocat de un alt proces. Dacă mutt_dotlock este invocat cu opțiunea de linie de comandă -f, mutt_dotlock nu va genera această eroare, dar va distruge blocările altor procese.

4 - DL_EX_NEED_RPIVS
    Această valoare de returnare apare numai dacă mutt_dotlock a fost invocat cu opțiunea de linie de comandă -t. Aceasta înseamnă că mutt_dotlock va trebui să utilizeze privilegiile sale de grup de poștă electronică pentru a bloca fișier.

5 - DL_EX_IMPOSSIBLE
    Această valoare de returnare apare numai dacă mutt_dotlock a fost invocat cu opțiunea de linie de comandă -t. Aceasta înseamnă că mutt_dotlock nu poate bloca fișier nici măcar cu privilegii de grup de poștă electronică.

NOTE

mutt_dotlock încearcă să implementeze o metodă de blocare a punctelor „dotlocking” sigură pentru NFS care a fost împrumutată de la lockfile (1).

Dacă utilizatorul nu poate deschide fișier pentru citire cu privilegiile sale normale, mutt_dotlock va returna valoarea de ieșire DL_EX_ERROR pentru a evita anumite atacuri împotriva fișierelor din directorul de triere a corespondenței ale altor utilizatori. Codul evită cu atenție condițiile de concurență la verificarea permisiunilor; pentru detalii despre toate acestea, consultați comentariile din fișierul „dotlock.c”.

ISTORIC

mutt_dotlock face parte din pachetul agentului de utilizator de poștă electronică Mutt. A fost creat pentru a evita rularea lui «mutt» cu privilegii de grup de poștă electronică.

AUTOR
Thomas Roessler <roessler@does-not-exist.org>

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.